#----------------------------------------------------------------------------
#       GNU Makefile
#----------------------------------------------------------------------------
MAKEFILE        = Makefile.libecm
DEPENDENCY_FILE = .depend.Makefile.libecm
LIB_UNCHECKED   = libecm.a
SHLIB_UNCHECKED = libecm.$(SOEXT)

static_libs_only = 0


FILES = \
  JGBitVector \
  JGDataBase \
  JGDevAttrData \
  JGDevAttribute \
  JGDevObject \
  JGDevType \
  JGEquipmentModule \
  JGFile \
  JGFileManager \
  JGLogTime \
  JGMemoryMappedFile \
  JGObserver \
  JGPLCDevice \
  JGPLCManager \
  JGProcProgStorage \
  JGTask \
  JGXmlParser \
  SACXmlParser

LIB   = $(LIB_UNCHECKED)
SHLIB = $(SHLIB_UNCHECKED)

#----------------------------------------------------------------------------
#       Include macros and targets
#----------------------------------------------------------------------------
include $(ACE_ROOT)/include/makeinclude/wrapper_macros.GNU
LSRC   = $(addsuffix .cpp, $(FILES))
ACELIB = -lACE

include $(ACE_ROOT)/include/makeinclude/macros.GNU
include $(ACE_ROOT)/include/makeinclude/rules.common.GNU
include $(ACE_ROOT)/include/makeinclude/rules.nonested.GNU

INSTALL_CHECK = ../lib
ifeq ($(INSTALL_CHECK),)
  INSTALL = $(INSTALL_CHECK)
else
  INSLIB  = $(INSTALL_CHECK)
endif
include $(ACE_ROOT)/include/makeinclude/rules.lib.GNU
include $(ACE_ROOT)/include/makeinclude/rules.local.GNU

CPPFLAGS     += -I. -I../../bee -I../../vmelsec/src -I/Developers/src/dtl-3.4.1/lib
ifeq ($(static_libs),1)
  ifneq ($(LIB),)
    CPPFLAGS += -DACE_AS_STATIC_LIBS
  endif
endif


LDFLAGS      += -L$(ACE_ROOT)/ace

#----------------------------------------------------------------------------
#       Local targets
#----------------------------------------------------------------------------

realclean: clean 

